package com.contabilidad.FacadeConta;

import com.contabilidad.EntConta.Catalogo;
import com.contabilidad.EntConta.CatalogoCuentas;
import com.contabilidad.EntConta.Partidas;

import javax.ejb.Local;
import java.util.List;

@Local
public interface CuentasFacadeLocal {

    void create(Catalogo cuenta);

    void edit(Catalogo cuenta);

    void remove(Catalogo cuenta);

    Catalogo find(Object id);

    List<Catalogo> findAll();

    List<Catalogo> findRange(int[] range);


    List<Catalogo> obtenerCuentasPrincipales();

    List<Catalogo> obtenerSiguienteNivel(String codigCun);
    int count();

}
